summaryrefslogtreecommitdiff
path: root/examples/wandboard6q.sh
diff options
context:
space:
mode:
authorNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
committerNeil Williams <codehelp@debian.org>2014-12-23 18:41:41 +0000
commit857094af5a523d4e746cada537595f849f4281a4 (patch)
treebbf3aec1050d53726a7f415a47336aa5a826dec5 /examples/wandboard6q.sh
parent05dcc3af8835fce167b6ddd9f29d8c72ae0e8a58 (diff)
downloadvmdebootstrap-857094af5a523d4e746cada537595f849f4281a4.tar.gz
add modules to cubietruck example and provide a wandboard example based on that.
Diffstat (limited to 'examples/wandboard6q.sh')
-rw-r--r--examples/wandboard6q.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/wandboard6q.sh b/examples/wandboard6q.sh
new file mode 100644
index 0000000..0113bef
--- /dev/null
+++ b/examples/wandboard6q.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+sudo vmdebootstrap \
+ --owner $(whoami) --verbose \
+ --size 3G \
+ --mirror http://http.debian.net/debian \
+ --log wandboard.log --log-level debug \
+ --arch armhf \
+ --foreign /usr/bin/qemu-arm-static \
+ --enable-dhcp \
+ --configure-apt \
+ --no-extlinux \
+ --no-kernel \
+ --package u-boot \
+ --package linux-image-armmp \
+ --distribution sid \
+ --serial-console-command "/sbin/getty -L ttymxc0 115200 vt100" \
+ --customize "wandboard-customise.sh" \
+ --bootoffset=2mib \
+ --bootsize 100mib --boottype vfat \
+ "$@"